
//
// Visuzalization module for TETDM 
// VisualizationToolKit.java Version 0.50 
// This is one of the sample modules.
// You should read the README file.
//


package module.VisualizationModules.VisualizationToolKit;

import source.*;
import source.TextData.*;
//import source.Utility.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class VisualizationToolKit extends VisualizationModule
{
    String inEnglish[];
    String menu[];
    
    String outputText;
    String values[];
    
    String newLineCode;
	
	public VisualizationToolKit()
	{
		setModuleID(10002);			// Set your module ID after you have got it
        dataNumbers = new int[]{0,0,0,0,    // b,i,d,S
            0,0,0,1,    // bA,iA,dA,SA
            0,0,0};     // bA2,iA2,dA2
		setToolType(2);
	}
	
	public void initializePanel()
	{
        inEnglish = new String[]{"English0","English1","English2","English3","English4","English5","English6"};
        menu = new String[inJapanese.length];
        
        newLineCode = System.getProperty("line.separator");
	}
	
	public void initializeData()
	{
        for(int i=0;i<menu.length;i++)
            if(isMenuInJapanese())
                menu[i] = inJapanese[i];
            else
                menu[i] = inEnglish[i];
        
        values = new String[1];
        values[0] = "NO DATA";
	}

	public void displayOperations(int optionNumber)
	{
		switch(optionNumber)
		{
			case 0:
				repaint();
				break;
		}		
	}
	
    public boolean setData(int dataID, String data[])
    {
        switch(dataID)
        {
            case 0:
                values = data;
                return true;
        }
        return false;    
    }
    
	//	public void setFont(){}	
	
	//background
	public void drawBackground(Graphics2D g2)
	{
        g2.setColor(Color.blue);
        g2.fillRect(0,0, sizeX, sizeY);
        
		g2.setColor(Color.white);
		g2.fillOval(30, 30, sizeX - 60, sizeY - 60);
	}
	
	public void drawData(Graphics2D g2)
	{
		g2.setFont(new Font("Dialog", Font.BOLD, 20));		
		g2.setColor(Color.black);
        
        for(int i=0;i<menu.length && i<values.length;i++)
        {
            outputText = menu[i]+":"+values[i];
            g2.drawString(outputText, (sizeX - outputText.length()*20)/2 ,(i+1)*sizeY/(menu.length+1));
        }            
	}
	
	//////////paint
	public void paintComponent(Graphics g)
	{
		Graphics2D g2 = (Graphics2D)g;
		
		getPanelSize();	
		
		drawBackground(g2);		//background
		drawData(g2);
	}
	
	public void update(Graphics g)		//avoid from blinking
	{
		paintComponent(g);
	}
}
